# A layer
layerA = new Layer
	size: 500
	borderRadius: 18
	backgroundColor: "#877DD7"
	point: Align.center
	scale: 0.5

# The initial state
layerA.states.initial =
	scale: 0.5
	rotation: 0

# Bouncier animation
layerA.animationOptions = curve: "spring(400, 30)"

# Enabling pinching
layerA.pinchable.enabled = yes

# Snapping back to the initial state
layerA.onPinchEnd ->
	@.animate "initial"


# Disabling the center origin
layerA.pinchable.centerOrigin = no
